#
# spec file for package aide (Version 0.10)

Name:         aide
Version:      0.10
Release:      37
Summary:      aide - Advanced Intrusion Detection Environment
License:      GPL
Group:        Productivity/Security
Source0:      http://www.cs.tut.fi/~rammer/aide-%{version}.tar.bz2
Source1:      aide.conf
Source2:      aide-cron_daily.sh
Source3:	aide.changes
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.cs.tut.fi/~rammer/aide.html

Packager:	Matthias G. Eckermann <mge@suse.de>

%description
aide is an intrusion detection system for checking the integrity of files.

Authors:
--------
    rammer@cs.tut.fi

%prep
%setup
%{?suse_update_config:%{suse_update_config -l -f}}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --sysconfdir=/etc --with-config-file=/etc/aide.conf --mandir=$RPM_BUILD_ROOT%{_mandir}

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
make prefix=$RPM_BUILD_ROOT%{_prefix} install-strip
install -m 700 -d $RPM_BUILD_ROOT/var/lib/aide
install -m 700 -d $RPM_BUILD_ROOT/etc
install -m 600    %{S:1} $RPM_BUILD_ROOT/etc/aide.conf
mkdir -p doc/examples/etc/cron.daily/
cp -a %{S:2} doc/examples/etc/cron.daily/aide.sh

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README doc/manual* aide.* doc/examples
%{_prefix}/bin/aide
/%{_mandir}/man1/aide.1.gz
/%{_mandir}/man5/aide.conf.5.gz
/var/lib/aide
%config(noreplace) /etc/aide.conf

%changelog -n aide
* Thu Dec 11 2003 - mge@suse.de
- upgrade to 0.10
- better /etc/aide.conf (thanks to Dirk Mller <dmuell@gmx.net>)
- example-cron-job
* Wed Nov 13 2002 - ro@suse.de
- fix build for current bison
* Thu Aug 15 2002 - mge@suse.de
- update to 0.9
* Mon Apr 09 2001 - ro@suse.de
- don't use macro for version
- remove obsolete macros
* Wed Nov 22 2000 - mge@suse.de
- created PAC files
- make SPEC file 7.0 compliant
* Sat Jul 15 2000 - mge@suse.de
- initial SuSE RPM, config file /etc/aide.conf
* Wed Jan 26 2000 - Matthew Kirkwood <weejock@ferret.lmh.ox.ac.uk>
- Fixes for RH 6.1 and sysconfdir changed to /etc and /var/lib/aide added
* Sun Sep 12 1999 - Rami Lehti <rammer@cs.tut.fi>
- Some small changes to make this autogeneratable by configure.
* Sat Sep 11 1999 - Zach Brown <zab@redhat.com>
- First go
